Subject: RE: Comments on draft-ietf-ipr-technology-rights-02.txt

From: "Ling, Hung C (Hung)" <[email-masked]>
Date: Thu, 13 Mar 2003 13:32:36 -0500

I would like to re-visit a thread that Joe Zebarth wrote in his comments on draft-ietf-ipr-technology-rights-01txt, but the inconsistency remains in wordings in the draft-ietf-ipr-technology-rights-02.txt.  The use of "relevant" and "essential" IPR shows up interchangeably in various places in the text.  I think it is important to define and limit to essential IPR; otherwise the volume of disclosures could be unmanageable for the working groups to handle.
 
The definition of IPR to be disclosed is in section 6.6 (I think).
 
Except for third party disclosures (which are encouraged under section 6.1.3), disclosures are required whenever the IPR in question is owned or licensed, directly or indirectly, by the individual or
his/her employer or sponsor (if any) or such persons otherwise have the right to license or enforce, and a license under any claims of the patent or patent application would be required to practice the technology disclosed in the IETF document.
 
Proposed change:  ..... any claims of  the patent or patent application would be required (essential claims) to practice the technology disclosed in the IETF document.
 
Other specific changes as mentioned by Joe Zebarth:

Page 7, Section 6.2.1 Para 2, line 3 
        The words "discovery of a relevant patent" should be modified to read as "discovery of an essential patent" (Global change required)

Page 6, Section 6.1.1, Para 3

"Contributors must disclose IPR claims meeting the description in this section..."  to  "Contributors must disclose essential IPR claims meeting the description in this section..."

These changes will bring the text in alignment with "essential", as currently used in section 6.4 (last line):

...... The requirement for an IPR disclosure is met by a blanket statement of the availability of
   royalty-free licensing of any possible essential IPR.

Thanks,  Hung Ling

-----Original Message-----
From: Joe Zebarth [mailto:[email-masked]]
Sent: Tuesday, February 25, 2003 5:05 PM
To: [email-masked]
Subject: Comments on draft-ietf-ipr-technology-rights-01.txt

Comments on draft-ietf-ipr-technology-rights-01.txt 

The following comments are offered for your consideration with respect to the aforementioned document. 

General Comments 

1       This document was intended to clarify section 10 of BCP 9, RFC 2026 and as a result, it should not change the IPR policy of 2026.  As a result all statements in the document which contradict the IPR policy of 2026 should be stricken from this document.

2       The document seems to confuse the subject of IPR disclosure, IPR claims, and IPR claimed rights. 

3       The document does not clarify the merit of having blanket statements of willingness to license essential IPR under fair and non-discriminatory terms which are complemented by subsequent IPR disclosures.

4       It would appear that an attempt is being made to place unnecessary obligations on all IETF participants.  Text which attempts to place such burdens on IETF participants should be stricken from this document. 

5       While it is suggested that the intent of this work is to clarify "ambiguities", identification of "ambiguous text" in RFC 2026 has not been clearly identified or pointed to.

6       While it is stated that "in some cases IPR claims can be disingenuous and made to affect the standards process", the current text appears to aggravate this occurrence, if any.  

Specific Comments 

1       Abstract Page 1, last two sentences 

The 2nd last sentence states " This memo details the IETF policies concerning IPR related to technology worked on within the IETF." while the last sentence of the 2nd last paragraph on Page 2 states "The aim of this document is to clarify various ambiguities in Section 10 of [RFC 2026] that led to these debates and to amplify the policy in order to clarify what the IETF is, or should be, doing.".

This text should be aligned and the exact relationship to RFC 2026 should be stated.  For example is 2026 still the definitive text and this is only amplification, i.e. expanded description but not scope?  If this is the case, then all of the RFC 2026 text should be removed from this document.  

2       It is suggested that the text in the Introduction be reordered to improve readability and remove inconsistencies.  For example the first sentence of Section 1 indicates that working groups have to deal with claims while the second sentence indicates that these claims may only surface after the working group is disbanded?

The suggested reordering and minor rewording is as follows (Note that added text is not italicized.) 

"In the years since RFC 2026 was published there have been a number of times when the exact intent of Section 10, the section which deals with IPR disclosures or claimed rights, has been the subject of vigorous debate within the IETF community.  This is because it is becoming increasingly common for IETF working groups to have to deal with claims of intellectual property rights (IPR), such as patent rights, with regards to technology under discussion in the working group.  The aim of this ID is to clarify various ambiguities in Section 10 of [RFC 2026] that led to these debates and to amplify the policy in order to clarify what the IETF is, or should be, doing.

IPR claims can: come at any point in the IETF process e.g. before the first Internet Draft has been submitted, prior to RFC publication, or after an RFC has been published and the working group has been closed down; come from people submitting technical proposals as Internet Drafts, on mailing lists or at meetings, from other people participating in the working group or from 3rd parties who find out that the work is going or has gone on; be based on granted patents or on patent applications, and in some cases be disingenuous, i.e. made to affect the standards process rather than to inform.

3       Page 2, 2nd last line 

It is proposed that the word "substantially" be removed.  It has been stated earlier that issuance of this document is to "amplify" the policy of RFC 2026.  Now, "amplify" is an ambiguous word.  It can mean "make bigger or extend" or it can mean "to expand stating or describing as by details".  It is my understanding that it is the latter, and as a result, the word substantially should be removed.

4       Page 3, Section 2.2.1 Para 1, 3rd last line 

The words "and any known owner of any intellectual property rights in the contribution." should be stricken as a party normally cannot make this representation.  This is placing an unnecessary and unacceptable obligation on the person making the submission.

5       Page 4, Section 2.2.1 item B. 

The IETF is attempting to place an obligation on a participant that the participant has no authority to assume.  This text should be stricken.

6       Page 4, Section 3, Item c, 

        The text that reads as "all persons will be able to obtain the right to implement, use, distribute and exercise other rights with respect to an Implementing Technology under openly specified, reasonable, non-discriminatory terms unless such a statement has already been submitted." goes beyond the ability to practice the standard.  The text should limit itself to obtaining the right to practice the standard.

7       Page 4, Section 3.1 Line 1 

        The word "implicit" should be added so that the text reads as "The IESG will not make any implicit or explicit determination..." 

8       Page 5, Section 4, Item A), Para 2, line 1 

        The text "Copies of claims" should read as "Copies of IPR statements" 

9       Page 6, Definitions 5.1 and 5.2 

It would seem to make sense that these definitions appear here as they are not substantial, from a text/space point of view.  Besides, in the RFC SUB contribution the definition is explicitly defined as being only in the context of RFC SUB, and thus would by implication means that the definition does not apply to this ID.

10      Page 6, Section 6.1.1, Para 1 

        This paragraph should indicate that the disclosure should be made to the IESG secretary. 

11      Page 6, Section 6.1.1, Para 3, last line on the page 

        This text should be made more explicit to limit it to essential IPR. 

12      Page 7, Section 6.1.2, Para 1 

As a fundamental rule participants should not be made to be responsible for others actions or inaction or insisting that they make a patent analysis on others IPR.  This text attempts to unnecessarily place this burden of responsibility on participants.  Note that the IETF and IESG will not obligate themselves to assume such a responsibility.

13      Page 7, Section 6.1.3, 1st line 

I believe it is section 4(B) that should be referenced. 

14      Page 7, Section 6.2, Para 1 

The focus of the IETF should be the development of specifications.  The current text appears to provide a bias against member innovation and protection.  

15      Page 7, Section 6.2.1, Para 1 

        Should use "IPR disclosure" consistently with RFC 2026 language in this paragraph instead of IPR claims (global change required).  Use of the words "encouraged" which appear in Section 4 (B) and in RFC 2026 should be used consistently within this document; the wording in Section 6.2 contradicts.   

Should include or reiterate the statement that indicates that it is based on awareness and that there is no obligation for portfolio searches.

16      Page 7, Section 6.2.3 Para 1, line 3 

        The words "relevant patent" should be modified to read as "essential patent" (Global change required) 

17      Page 8, Section 6.3, Para 1, 

        In the first sentence "IPR claims" should be modified to read as "IPR disclosures" to be consistent with RFC 2026. (Global change required) 

The second sentence should be deleted. 

18      Page 8, Section 6.4, Para 1, 2nd last line 

Probably the words "and what sections of any documents are affected" should be deleted.  While the spirit of the intent may be correct, having such words would require a new disclosure after any of the referenced documents are revised with a section number change.  Failure for replacement disclosures that keep current alignment would soon be disclosing IPR on sections for which no real IPR claim was being made!  Additionally, such a requirement is too onerous.

19      Page 8, Section 6.4, Para 1, last line 

In response to the questions, "Should we put up a disclosure template?", the response is "No". 

20      Page 8, Section 6.4, Para 2 

As written, this note fails to recognize the value of blanket statements which can provide value.  It should then go on to indicate that supplementation is appropriate.

21      Page 8, Section 6.5 Para 2 

The text of this paragraph and the examples should be stricken because it is not appropriate in that the purpose of this document was to clarify RFC 2026. 

22      Page 9, Section 6.6, Para 1 

Replace the first paragraph with the following sentence "Disclosures are triggered when there exists, or may exist, essential IPR to the practice of an IETF standard." which is consistent with RFC 2026.

24      Page 9, Section 7, Para 1, Sentence 2 

        These words are too subjective to be meaningful.  In particular the words "would be reasonably be expected to know" should as a minimum be stricken, in that they are contradictory to RFC 2026.

25      Page 9, Section 8 

        Early disclosure is requested and it does not represent a threshold of failure.  The text should be modified to become less adversarial.

26      Page 10, Para 1 

        This text promotes disclosure of relevant IPR.  What is relevant is highly subjective and better text should be found.  Further, the requirement to disclose relevant IPR without proper guidance will tend to support and promote the submission of disingenuous IPR claims.  As stated earlier, the language should refer to "essential IPR" with a view towards practice in IETF standards.

Dept. 6L40 
ATI Strategic Standards 
Nortel Networks (Canada) 
Phone: +1 613 765 8481 
ESN:    6+395 8481 
Fax:     +1 613 763 2697 
ESN:    6+393 2697 
http://www.nortelnetworks.com <http://www.nortelnetworks.com>

---

From: Scott W Brim <[email-masked]>
Date: Thu, 13 Mar 2003 13:46:08 -0500

What's the legal implication of the word 'essential' here?
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Lawrence E. Rosen" <[email-masked]>
Date: Thu, 13 Mar 2003 11:14:57 -0800

> Scott W Brim wrote:

Here's what W3C says.  The legal implication is only that the term
"essential" must be defined clearly.  We can (and did) fight about every
word in this definition.  /Larry Rosen

***************************************

"Essential Claims" shall mean all claims in any patent or patent
application with an effective filing date prior to the publication of
the first public Working Draft of the specification and extending until
one year and one day after the publication of the first public Working
Draft, in any jurisdiction in the world, that a Member (or a licensor or
licensee, with reference to entities other than Members) owns, or under
which a Member (or a licensor or licensee) has the right to grant
licenses without obligation of payment or other consideration to an
unrelated third party, that would necessarily be infringed by
implementation of the Recommendation. A claim is necessarily infringed
hereunder only when it is not possible to avoid infringing it because
there is no non-infringing alternative for implementing the normative
portions of the Recommendation. Existence of a non-infringing
alternative shall be judged based on the state of the art at the time
the specification becomes a Recommendation.

The following are expressly excluded from and shall not be deemed to
constitute Essential Claims:

  1. any claims other than as set forth above even if contained in the
     same patent as Essential Claims; and 
  2. claims which would be infringed only by: 
       - portions of an implementation that are not specified in the
         normative portions of the Recommendation, or 
       - enabling technologies that may be necessary to make or use any
         product or portion thereof that complies with the
Recommendation
         and are not themselves expressly set forth in the
Recommendation
         (e.g., semiconductor manufacturing technology, compiler
technology,
         object-oriented technology, basic operating system technology,
         and the like); or 
       - the implementation of technology developed elsewhere and merely
         incorporated by reference in the body of the Recommendation. 
  3. design patents and design registrations. 

For purposes of this definition, the normative portions of the
Recommendation shall be deemed to include only architectural and
interoperability requirements. Optional features in the RFC 2119
[KEYWORDS] sense are considered normative unless they are specifically
identified as informative. Implementation examples or any other material
that merely illustrate the requirements of the Recommendation are
informative, rather than normative.

---

From: "George Willingmyre" <[email-masked]>
Date: Thu, 13 Mar 2003 16:54:53 -0500

Scott... the term "essential" can sometimes be in the eyes of the beholder
... however DOJ issued a series of business advisory letters from 1997
though last November that indicate how DOJ considers the term "essential" in
reviewing proposed patent pools  (see
http://www.gtwassociates.com/answers/DOJ.htm )

6/26/97  The limitation of the patent license portfolio to technically
essential patents and the use of an independent expert to be the arbiter of
that limitation reduces the risk that the patent pool will be used to
eliminate rivalry between potentially competing technologies

12/16/98  In particular, one expects that a patent pool may provide
competitive benefits by integrating complementary technologies...  Based on
the information and assurances provided to the Department, it appears that
the proposed arrangement is likely to combine complementary patent rights,

6/10/99  Limiting the pool to patents that are essential to compliance with
the Standard Specifications will ensure that the proposed pool will
integrate only complementary patent rights since essential patents, by
definition, have no substitutes; one needs licenses to each of them in order
to comply with the Specifications

11/12/2002  most importantly the process for identifying and certifying
essential patents, continue to be performed through a common ManCo entity
and common personnel.

George T. Willingmyre, P.E.
President
GTW Associates
1012 Parrs Ridge Drive
Spencerville, MD 20868  USA
301.421.4138  fax 301.421.0977
http://www.gtwassociates.com

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Mar 2003 14:12:51 +0100

> What's the legal implication of the word 'essential' here?

I'm not a lawyer (etc. etc.)

However, I remember reading that when James Watt started manufacturing
steam engines, he discovered that someone had recently patented the
crankshaft. (Maybe prior art was not recognized then?)

He didn't need that patent. He invented an alternative using
epicyclic gears. A bad solution, but it worked.

So, if the Steam Engineering Task Force had been writing a standard
for steam engines, the standard could have required a mechanism for
converting oscillating motion into rotary motion, without the
crankshaft patent being 'essential'.

I'm still not a lawyer.

   Brian